Subject: [PATCH] ARM: omap2: remove CONFIG_ARCH_OMAP2PLUS_TYPICAL

From: [email-masked] (Tony Lindgren)
Date: Thu, 16 May 2013 08:23:41 -0700

* Rob Herring <[email-masked]> [130516 08:25]:
> On Thu, May 16, 2013 at 10:11 AM, Tony Lindgren <[email-masked]> wrote:
> > * Rob Herring <[email-masked]> [130516 06:34]:
> >> From: Rob Herring <[email-masked]>
> >>
> >> CONFIG_ARCH_OMAP2PLUS_TYPICAL is selecting user defined features, not h/w
> >> required options. This does not play well with multi-platform kernels and
> >> belongs in a defconfig.
> >
> > Yes we can remove this. But let's update omap2plus_defconfig with these
> > options where needed. I can update this patch for that and queue it
> > if that works for you.
> >
> 
> Yes, that's fine. You might also want to enable the h/w related
> features to multi_v7_defconfig as well.

Yes will do. BTW, getting rid of CONFIG_ARCH_OMAP2PLUS_TYPICAL was the
reason I did not update multi_v7_defconfig yet.

I'll also update Arnd's randconfig fix patch and post it, then
will stick all three patches into one branch.

Regards,

Tony